<?php
// ini_set('display_errors',1);
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("cComunicado.php");
$oComunicado = new cComunicado();
require_once("../formatos/formato.php");
if($_POST['action']=="insertar")
{
	if(!empty($_POST['txt_com_det']))
	{
		$fec1 = strtotime($_POST['txt_cmo_fec1']);
		$fec2 = strtotime($_POST['txt_cmo_fec2']);
		
		$oComunicado->insertar(
			$_POST['cmb_com_est'],
			$fec1,
			$fec2,
			$_POST['txt_com_det']
		);
			
		$data['ing_id']=$ing_id;
		$data['ing_msj']='Se registró el comunicado correctamente.';
	}
	else
	{
		$data['ing_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}
if($_POST['action']=="editar")
{
	if(!empty($_POST['txt_com_det']))
	{
		$fec1 = strtotime($_POST['txt_cmo_fec1']);
		$fec2 = strtotime($_POST['txt_cmo_fec2']);
		
		$oComunicado->modificar(
			$_POST['hdd_com_id'],
			$_POST['cmb_com_est'],
			$fec1,
			$fec2,
			$_POST['txt_com_det']
		);
		
		$data['ing_msj']='Se modifico el comunicado correctamente.';
		
	}
	else
	{
		$data['ing_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}
if($_POST['action']=="eliminar")
{
	if(!empty($_POST['com_id']))
	{
			$oComunicado->modificar_campo($_POST['com_id'],'xac','0');
			echo 'El comunicado se elimino correctamente.';
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
?>